#!/bin/sh

set -e

if [ "$1" = "upgrade" ] && dpkg --compare-versions "$2" lt 4:25.2.1~rc1-3; then
	for i in impress.xcd ogltrans.xcd; do
		rm -f /etc/libreoffice/registry/$i
		ucf --purge /etc/libreoffice/registry/$i
		ucfr --force --purge libreoffice-impress /etc/libreoffice/registry/$i
	done
elif [ "$1" = "install" ] && [ -f /etc/libreoffice/registry/impress.xcd ]; then
	for i in impress.xcd ogltrans.xcd; do
		rm -f /etc/libreoffice/registry/$i
		ucf --purge /etc/libreoffice/registry/$i
		ucfr --force --purge libreoffice-impress /etc/libreoffice/registry/$i
	done
fi

#DEBHELPER#
